package net.jxta.impl.shell.bin.example4_2;

import java.util.Enumeration;

import net.jxta.document.Advertisement;

import net.jxta.discovery.DiscoveryEvent;
import net.jxta.discovery.DiscoveryListener;

import net.jxta.protocol.DiscoveryResponseMsg;


/**
 * A simple listener to notify the user when a discovery event has
 * been received.
 */
public class ExampleListener implements DiscoveryListener
{
    /**
     * The DiscoveryListener's event method, used for handling 
     * notification of a received Discovery Response Message from 
     * the Discovery service.
     *
     * @param   event the event containing the received response.
     */
    public void discoveryEvent(DiscoveryEvent event)
    {
        DiscoveryResponseMsg response = event.getResponse();
         
        System.out.println("Received a response containing " 
            + response.getResponseCount() + " advertisements");
    }
}